body {
    padding: 0px;
    margin: 0px;
    height: 100%;
}

html {
	height: 100%;
}

#map-container {
	width: 100%;
	/*height: calc(100% - 66px);*/
	height: 100%;
}

#map {
	position: relative;
	width: 100%;
	height:	100%;
	z-index: 1;
}

#top-bar {
	position: relative;
	width: 100%;
	background-color: #20273c;
	padding: 0.5rem 1rem;
	box-sizing: border-box;
	color: white;
	display: none;
}

h1 {
    margin: 0;
    font-size: 1.5rem;
    padding: 0.7rem;
	display: inline-block;
}

.popup-header {
	color: white;
	font-size: 18px;
	font-weight: 600;
	text-decoration: underline;
}

.popup-table {
	color: lightgrey;
	border-collapse: collapse;
	table-layout: fixed;
}

.popup-table td {
	font-size: 12px;
}

.popup-table td:nth-child(1) {
	padding-right: 12px;
	max-width: 155px;
}

.leaflet-popup-content {
	margin: 10px !important;
}

.labels {
	font: 14px "Helvetica Neue", Arial, Helvetica, sans-serif;
	padding: 1px;
	font-weight: 700;
	background-color: rgba(255,255,255,0.6);
	border: none;
	box-shadow: none;
}

.tooltip-content {
	background-color: rgba(32, 39, 60, 0.9);
	color:#fff;
	font-size:16px;
	padding: 6px;
	border-radius:6px;
	opacity: 0.9;
}


.leaflet-popup-content-wrapper {
	background:transparent;
	box-shadow: none;
}


.leaflet-popup-tip {
	background: rgb(32 39 60 / 90%);
}

#legend-img {
	width: 100%;
	cursor: pointer;
	transform: translate(10px, 4px);
	
}

.legend {
	margin-bottom: 5px !important;
	width: 140px;
	padding-right: 20px;
    background-color: #1e1e1e;
}

#close-legend-icon {
	position: absolute;
    top: 4px;
    right: 4px;
    width: 18px;
    height: 18px;
    z-index: 2;
    filter: invert(1);
    cursor: pointer;
	display: none;
}

.leaflet-control-attribution {
	display: none;
}

.parish-labels {
	color: blue;
    padding: 2px;
    margin: 0;
    font-weight: bolder;
}

#legend-wrp {
}

#disclaimer {
	display: none;
	color: #969696;
    padding-left: 20px;
    padding-bottom: 10px;
    font-size: 12px;
}

#legend-explanation {
	color: white;
	font-family: Arial, serif;
	font-size: 11px;
	position: absolute;
	z-index: 10;
	padding: 10px 20px;
	pointer-events: none;
}

#parishInfoContainer {
    background-color: #1e1f1e;
	color: white;
	margin-bottom: -5px !important;
	width: 160px;
	height: 40px;
	padding-right: 20px;
    background-color: #1e1e1e;
}

#show-parish-info-img {
	width: 100%;
	cursor: pointer;
	transform: translate(10px, 3px);
}

#parishInfoHeader {
	padding-left: 167px;
}

#parishInfoContainer td:nth-child(2) {
	width: 95px;
}

#parishInfoHeader div:nth-child(1) {
	width: 95px;
}

#close-parish-icon {
	position: absolute;
    top: 4px;
    right: 4px;
    width: 18px !important;
    height: 18px;
    z-index: 2;
    filter: invert(1);
    cursor: pointer;
}

.loader {
	position:absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(255,255,255,0.8);
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 40px;
	color: black;
	z-index: 1001;
	opacity: 1;
	transition: all 0.2s ease;
}

.popup-table tr:nth-child(odd) {
	background-color: #292929;
	background-color: rgba(255,255,255,0.08);
}

.year-select {
    background: #1e1f1e;
    color: #ffffff;
    font-size: 16px;
    padding: 6px 20px;
    width: 110px;
    list-style: none;
    text-align: center;
}

.year-select input[type=radio] {
	display: none;
}

.year-select label {
	cursor: pointer;
}

.year-select input[type="radio"]:checked+label{ color: #38f; }


@media only screen and (max-width: 600px) {
	.legend {
		margin-bottom: 5px !important;
		width: 100px;
		padding-right: 0 !important;
		padding-left: 0 !important;
		max-height: 98vh;
    	overflow-y: auto;
	}

	#legend-img {
		transform: none !important;
	}

	#parishInfoContainer {
		width: 120px;
		padding-right: 0;
		padding-left: 0;
		height: 30px;
	}

	#show-parish-info-img {
		transform: none !important;
	}

	#parishInfoHeader {
		padding-left: 135px;
		display: flex;
	}

	#parishInfoHeader div:nth-child(1) {
		width: 95px;
	}

	#parishInfoHeader div:nth-child(2) {
		margin-left: 0 !important;
	}

	
	

	.popup-table td {
		font-size: 12px;
	}

	.popup-table td:nth-child(1) {
		padding-right: 12px;
		max-width: 155px;
	}

	.leaflet-popup-content {
		margin: 6px !important;
	}

}

